* This file generates variables variables naicps2 and naicps3 in the periods
* jan 1987 until dec 2006

*version 7.0
clear
set more off
set memory 4g
set matsize 150

* prepare productivity dataset
local dat_path "/export/home/sonntag/CPS/add_data/"     // where yearly productivity data as csv-files are stored
local sav_path "/export/home/sonntag/CPS/add_data/"     // where time series ready for use are to be saved

* get data on prices
insheet using "`dat_path'naic_yearly.csv", delimiter(";") clear
sort year naicps
saveold "`sav_path'naic_yearly", replace

* create productivity data
local inputfilepath = "~/CPS/dta/monthly"
local outputfilepath = "~/CPS/data_with_naicps"

* Loop over all available years and quarters:
forvalues YYYY = 1987/2006 {
forvalues M = 1/12 {
local YYYYMM = 100*`YYYY' + `M'
if `YYYYMM' >= 197901 & `YYYYMM' <= 200607 {
disp ">>>>>>>>>> Year = `YYYY', Month = `M' "

* Load datafile:
local YYMM = substr(string(`YYYYMM'),3,4)
use "`inputfilepath'/consistent_`YYMM'", clear

gen long naicps4=.
gen long naicps3=.

if `YYYYMM' >= 198701 & `YYYYMM' <= 200212 {

replace naicps4=    212200     if ind92r_4==   40
replace naicps4=    212100     if ind92r_4==   41
replace naicps4=    211000     if ind92r_4==   42
replace naicps4=    212300     if ind92r_4==   50
replace naicps4=    311600     if ind92r_4==  100
replace naicps4=    311500     if ind92r_4==  101
replace naicps4=    311400     if ind92r_4==  102
replace naicps4=    311000     if ind92r_4==  110
replace naicps4=    311800     if ind92r_4==  111
replace naicps4=    311300     if ind92r_4==  112
replace naicps4=    312100     if ind92r_4==  120
replace naicps4=    311000     if ind92r_4==  121
replace naicps4=    311000     if ind92r_4==  122
replace naicps4=    312200     if ind92r_4==  130
replace naicps4=    313000     if ind92r_4==  132
replace naicps4=    313000     if ind92r_4==  140
replace naicps4=    314000     if ind92r_4==  141
replace naicps4=    313000     if ind92r_4==  142
replace naicps4=    313000     if ind92r_4==  150
replace naicps4=    315000     if ind92r_4==  151
replace naicps4=    315000     if ind92r_4==  152
replace naicps4=    322100     if ind92r_4==  160
replace naicps4=    322200     if ind92r_4==  161
replace naicps4=    322200     if ind92r_4==  162
replace naicps4=    511100     if ind92r_4==  171
replace naicps4=    323100     if ind92r_4==  172
replace naicps4=    325200     if ind92r_4==  180
replace naicps4=    325400     if ind92r_4==  181
replace naicps4=    325600     if ind92r_4==  182
replace naicps4=    325500     if ind92r_4==  190
replace naicps4=    325300     if ind92r_4==  191
replace naicps4=    325000     if ind92r_4==  192
replace naicps4=    324100     if ind92r_4==  200
replace naicps4=    324100     if ind92r_4==  201
replace naicps4=    326200     if ind92r_4==  210
replace naicps4=    326100     if ind92r_4==  211
replace naicps4=    326100     if ind92r_4==  212
replace naicps4=    316000     if ind92r_4==  220
replace naicps4=    316200     if ind92r_4==  221
replace naicps4=    316000     if ind92r_4==  222
replace naicps4=    321000     if ind92r_4==  231
replace naicps4=    321000     if ind92r_4==  232
replace naicps4=    321000     if ind92r_4==  241
replace naicps4=    337000     if ind92r_4==  242
replace naicps4=    327200     if ind92r_4==  250
replace naicps4=    327000     if ind92r_4==  251
replace naicps4=    327000     if ind92r_4==  252
replace naicps4=    327100     if ind92r_4==  261
replace naicps4=    327000     if ind92r_4==  262
replace naicps4=    331000     if ind92r_4==  270
replace naicps4=    331000     if ind92r_4==  271
replace naicps4=    331000     if ind92r_4==  272
replace naicps4=    331000     if ind92r_4==  280
replace naicps4=    332000     if ind92r_4==  281
replace naicps4=    332000     if ind92r_4==  282
replace naicps4=    332000     if ind92r_4==  290
replace naicps4=    332000     if ind92r_4==  291
replace naicps4=    332000     if ind92r_4==  292
replace naicps4=    332900     if ind92r_4==  300
replace naicps4=    331000     if ind92r_4==  301
replace naicps4=    333000     if ind92r_4==  310
replace naicps4=    333000     if ind92r_4==  311
replace naicps4=    333000     if ind92r_4==  312
replace naicps4=    333000     if ind92r_4==  320
replace naicps4=    333000     if ind92r_4==  321
replace naicps4=    334000     if ind92r_4==  322
replace naicps4=    333000     if ind92r_4==  331
replace naicps4=    333000     if ind92r_4==  332
replace naicps4=    335000     if ind92r_4==  340
replace naicps4=    334000     if ind92r_4==  341
replace naicps4=    335000     if ind92r_4==  342
replace naicps4=    335000     if ind92r_4==  350
replace naicps4=    336000     if ind92r_4==  351
replace naicps4=    336400     if ind92r_4==  352
replace naicps4=    336600     if ind92r_4==  360
replace naicps4=    336500     if ind92r_4==  361
replace naicps4=    336400     if ind92r_4==  362
replace naicps4=    336000     if ind92r_4==  370
replace naicps4=    334500     if ind92r_4==  371
replace naicps4=    339000     if ind92r_4==  372
replace naicps4=    333300     if ind92r_4==  380
replace naicps4=    334500     if ind92r_4==  381
replace naicps4=    339900     if ind92r_4==  390
replace naicps4=    484120     if ind92r_4==  410
replace naicps4=    491000     if ind92r_4==  412
replace naicps4=    481000     if ind92r_4==  421
replace naicps4=    561510     if ind92r_4==  432
replace naicps4=    515000     if ind92r_4==  440
replace naicps4=    517100     if ind92r_4==  441
replace naicps4=    517200     if ind92r_4==  442
replace naicps4=    221100     if ind92r_4==  450
replace naicps4=    221200     if ind92r_4==  451
replace naicps4=    221100     if ind92r_4==  452
replace naicps4=    423100     if ind92r_4==  500
replace naicps4=    423000     if ind92r_4==  501
replace naicps4=    423300     if ind92r_4==  502
replace naicps4=    423400     if ind92r_4==  510
replace naicps4=    423500     if ind92r_4==  511
replace naicps4=    423600     if ind92r_4==  512
replace naicps4=    423700     if ind92r_4==  521
replace naicps4=    423800     if ind92r_4==  530
replace naicps4=    423900     if ind92r_4==  531
replace naicps4=    420000     if ind92r_4==  532
replace naicps4=    424100     if ind92r_4==  540
replace naicps4=    424000     if ind92r_4==  541
replace naicps4=    424300     if ind92r_4==  542
replace naicps4=    424400     if ind92r_4==  550
replace naicps4=    424500     if ind92r_4==  551
replace naicps4=    424700     if ind92r_4==  552
replace naicps4=    424800     if ind92r_4==  560
replace naicps4=    424900     if ind92r_4==  561
replace naicps4=    424000     if ind92r_4==  562
replace naicps4=    420000     if ind92r_4==  571
replace naicps4=    444100     if ind92r_4==  580
replace naicps4=    444100     if ind92r_4==  581
replace naicps4=    444200     if ind92r_4==  582
replace naicps4=    453900     if ind92r_4==  590
replace naicps4=    452100     if ind92r_4==  591
replace naicps4=    452900     if ind92r_4==  592
replace naicps4=    452900     if ind92r_4==  600
replace naicps4=    445100     if ind92r_4==  601
replace naicps4=    445200     if ind92r_4==  602
replace naicps4=    311800     if ind92r_4==  610
replace naicps4=    441000     if ind92r_4==  612
replace naicps4=    441000     if ind92r_4==  620
replace naicps4=    447000     if ind92r_4==  621
replace naicps4=    441000     if ind92r_4==  622
replace naicps4=    448000     if ind92r_4==  623
replace naicps4=    448200     if ind92r_4==  630
replace naicps4=    442000     if ind92r_4==  631
replace naicps4=    443000     if ind92r_4==  632
replace naicps4=    443000     if ind92r_4==  633
replace naicps4=    451000     if ind92r_4==  640
replace naicps4=    722000     if ind92r_4==  641
replace naicps4=    446000     if ind92r_4==  642
replace naicps4=    445300     if ind92r_4==  650
replace naicps4=    451100     if ind92r_4==  651
replace naicps4=    451200     if ind92r_4==  652
replace naicps4=    448300     if ind92r_4==  660
replace naicps4=    453200     if ind92r_4==  661
replace naicps4=    451100     if ind92r_4==  662
replace naicps4=    454100     if ind92r_4==  663
replace naicps4=    454200     if ind92r_4==  670
replace naicps4=    454300     if ind92r_4==  671
replace naicps4=    454300     if ind92r_4==  672
replace naicps4=    453100     if ind92r_4==  681
replace naicps4=    453000     if ind92r_4==  682
replace naicps4=    453000     if ind92r_4==  691
replace naicps4=    522110     if ind92r_4==  700
replace naicps4=    541810     if ind92r_4==  721
replace naicps4=    561720     if ind92r_4==  722
replace naicps4=    532120     if ind92r_4==  742
replace naicps4=    811100     if ind92r_4==  750
replace naicps4=    811100     if ind92r_4==  751
replace naicps4=    812300     if ind92r_4==  771
replace naicps4=    812110     if ind92r_4==  772
replace naicps4=    812110     if ind92r_4==  780
replace naicps4=    812210     if ind92r_4==  781
replace naicps4=    541213     if ind92r_4==  791
replace naicps4=    532230     if ind92r_4==  801
replace naicps4=    621500     if ind92r_4==  840
replace naicps4=    541310     if ind92r_4==  882


replace naicps3=    212000     if ind92r_4==   40
replace naicps3=    212000     if ind92r_4==   41
replace naicps3=    211000     if ind92r_4==   42
replace naicps3=    212000     if ind92r_4==   50
replace naicps3=    311000     if ind92r_4==  100
replace naicps3=    311000     if ind92r_4==  101
replace naicps3=    311000     if ind92r_4==  102
replace naicps3=    311000     if ind92r_4==  110
replace naicps3=    311000     if ind92r_4==  111
replace naicps3=    311000     if ind92r_4==  112
replace naicps3=    312000     if ind92r_4==  120
replace naicps3=    311000     if ind92r_4==  121
replace naicps3=    311000     if ind92r_4==  122
replace naicps3=    312000     if ind92r_4==  130
replace naicps3=    313000     if ind92r_4==  132
replace naicps3=    313000     if ind92r_4==  140
replace naicps3=    314000     if ind92r_4==  141
replace naicps3=    313000     if ind92r_4==  142
replace naicps3=    313000     if ind92r_4==  150
replace naicps3=    315000     if ind92r_4==  151
replace naicps3=    315000     if ind92r_4==  152
replace naicps3=    322000     if ind92r_4==  160
replace naicps3=    322000     if ind92r_4==  161
replace naicps3=    322000     if ind92r_4==  162
replace naicps3=    511000     if ind92r_4==  171
replace naicps3=    323000     if ind92r_4==  172
replace naicps3=    325000     if ind92r_4==  180
replace naicps3=    325000     if ind92r_4==  181
replace naicps3=    325000     if ind92r_4==  182
replace naicps3=    325000     if ind92r_4==  190
replace naicps3=    325000     if ind92r_4==  191
replace naicps3=    325000     if ind92r_4==  192
replace naicps3=    324000     if ind92r_4==  200
replace naicps3=    324000     if ind92r_4==  201
replace naicps3=    326000     if ind92r_4==  210
replace naicps3=    326000     if ind92r_4==  211
replace naicps3=    326000     if ind92r_4==  212
replace naicps3=    316000     if ind92r_4==  220
replace naicps3=    316000     if ind92r_4==  221
replace naicps3=    316000     if ind92r_4==  222
replace naicps3=    321000     if ind92r_4==  231
replace naicps3=    321000     if ind92r_4==  232
replace naicps3=    321000     if ind92r_4==  241
replace naicps3=    337000     if ind92r_4==  242
replace naicps3=    327000     if ind92r_4==  250
replace naicps3=    327000     if ind92r_4==  251
replace naicps3=    327000     if ind92r_4==  252
replace naicps3=    327000     if ind92r_4==  261
replace naicps3=    327000     if ind92r_4==  262
replace naicps3=    331000     if ind92r_4==  270
replace naicps3=    331000     if ind92r_4==  271
replace naicps3=    331000     if ind92r_4==  272
replace naicps3=    331000     if ind92r_4==  280
replace naicps3=    332000     if ind92r_4==  281
replace naicps3=    332000     if ind92r_4==  282
replace naicps3=    332000     if ind92r_4==  290
replace naicps3=    332000     if ind92r_4==  291
replace naicps3=    332000     if ind92r_4==  292
replace naicps3=    332000     if ind92r_4==  300
replace naicps3=    331000     if ind92r_4==  301
replace naicps3=    333000     if ind92r_4==  310
replace naicps3=    333000     if ind92r_4==  311
replace naicps3=    333000     if ind92r_4==  312
replace naicps3=    333000     if ind92r_4==  320
replace naicps3=    333000     if ind92r_4==  321
replace naicps3=    334000     if ind92r_4==  322
replace naicps3=    333000     if ind92r_4==  331
replace naicps3=    333000     if ind92r_4==  332
replace naicps3=    335000     if ind92r_4==  340
replace naicps3=    334000     if ind92r_4==  341
replace naicps3=    335000     if ind92r_4==  342
replace naicps3=    335000     if ind92r_4==  350
replace naicps3=    336000     if ind92r_4==  351
replace naicps3=    336000     if ind92r_4==  352
replace naicps3=    336000     if ind92r_4==  360
replace naicps3=    336000     if ind92r_4==  361
replace naicps3=    336000     if ind92r_4==  362
replace naicps3=    336000     if ind92r_4==  370
replace naicps3=    334000     if ind92r_4==  371
replace naicps3=    339000     if ind92r_4==  372
replace naicps3=    333000     if ind92r_4==  380
replace naicps3=    334000     if ind92r_4==  381
replace naicps3=    339000     if ind92r_4==  390
replace naicps3=    484120     if ind92r_4==  410
replace naicps3=    491000     if ind92r_4==  412
replace naicps3=    481000     if ind92r_4==  421
replace naicps3=    515000     if ind92r_4==  440
replace naicps3=    221100     if ind92r_4==  450
replace naicps3=    221200     if ind92r_4==  451
replace naicps3=    221100     if ind92r_4==  452
replace naicps3=    423000     if ind92r_4==  500
replace naicps3=    423000     if ind92r_4==  501
replace naicps3=    423000     if ind92r_4==  502
replace naicps3=    423000     if ind92r_4==  510
replace naicps3=    423000     if ind92r_4==  511
replace naicps3=    423000     if ind92r_4==  512
replace naicps3=    423000     if ind92r_4==  521
replace naicps3=    423000     if ind92r_4==  530
replace naicps3=    423000     if ind92r_4==  531
replace naicps3=    420000     if ind92r_4==  532
replace naicps3=    424000     if ind92r_4==  540
replace naicps3=    424000     if ind92r_4==  541
replace naicps3=    424000     if ind92r_4==  542
replace naicps3=    424000     if ind92r_4==  550
replace naicps3=    424000     if ind92r_4==  551
replace naicps3=    424000     if ind92r_4==  552
replace naicps3=    424000     if ind92r_4==  560
replace naicps3=    424000     if ind92r_4==  561
replace naicps3=    424000     if ind92r_4==  562
replace naicps3=    420000     if ind92r_4==  571
replace naicps3=    444000     if ind92r_4==  580
replace naicps3=    444000     if ind92r_4==  581
replace naicps3=    444000     if ind92r_4==  582
replace naicps3=    453000     if ind92r_4==  590
replace naicps3=    452000     if ind92r_4==  591
replace naicps3=    452000     if ind92r_4==  592
replace naicps3=    452000     if ind92r_4==  600
replace naicps3=    445000     if ind92r_4==  601
replace naicps3=    445000     if ind92r_4==  602
replace naicps3=    311000     if ind92r_4==  610
replace naicps3=    441000     if ind92r_4==  612
replace naicps3=    441000     if ind92r_4==  620
replace naicps3=    447000     if ind92r_4==  621
replace naicps3=    441000     if ind92r_4==  622
replace naicps3=    448000     if ind92r_4==  623
replace naicps3=    448000     if ind92r_4==  630
replace naicps3=    442000     if ind92r_4==  631
replace naicps3=    443000     if ind92r_4==  632
replace naicps3=    443000     if ind92r_4==  633
replace naicps3=    451000     if ind92r_4==  640
replace naicps3=    722000     if ind92r_4==  641
replace naicps3=    446000     if ind92r_4==  642
replace naicps3=    445000     if ind92r_4==  650
replace naicps3=    451000     if ind92r_4==  651
replace naicps3=    451000     if ind92r_4==  652
replace naicps3=    448000     if ind92r_4==  660
replace naicps3=    453000     if ind92r_4==  661
replace naicps3=    451000     if ind92r_4==  662
replace naicps3=    454000     if ind92r_4==  663
replace naicps3=    454000     if ind92r_4==  670
replace naicps3=    454000     if ind92r_4==  671
replace naicps3=    454000     if ind92r_4==  672
replace naicps3=    453000     if ind92r_4==  681
replace naicps3=    453000     if ind92r_4==  682
replace naicps3=    453000     if ind92r_4==  691
replace naicps3=    532230     if ind92r_4==  801
replace naicps3=    621500     if ind92r_4==  840

}

if `YYYYMM' >= 200301 & `YYYYMM' <= 200512 {
* recode to 4-digit naics
replace naicps4=   211000     if ind03_4==    370
replace naicps4=   212100     if ind03_4==    380
replace naicps4=   212200     if ind03_4==    390
replace naicps4=   212300     if ind03_4==    470
replace naicps4=   327100     if ind03_4==   2470
replace naicps4=   327100     if ind03_4==   2480
replace naicps4=   327200     if ind03_4==   2490
replace naicps4=   327000     if ind03_4==   2570
replace naicps4=   327000     if ind03_4==   2590
replace naicps4=   331000     if ind03_4==   2670
replace naicps4=   331000     if ind03_4==   2680
replace naicps4=   331000     if ind03_4==   2690
replace naicps4=   331000     if ind03_4==   2770
replace naicps4=   332000     if ind03_4==   2780
replace naicps4=   332000     if ind03_4==   2790
replace naicps4=   332000     if ind03_4==   2870
replace naicps4=   332000     if ind03_4==   2880
replace naicps4=   332000     if ind03_4==   2890
replace naicps4=   332900     if ind03_4==   2970
replace naicps4=   332000     if ind03_4==   2980
replace naicps4=   331000     if ind03_4==   2990
replace naicps4=   333000     if ind03_4==   3070
replace naicps4=   333300     if ind03_4==   3090
replace naicps4=   333000     if ind03_4==   3170
replace naicps4=   333000     if ind03_4==   3180
replace naicps4=   333000     if ind03_4==   3190
replace naicps4=   333000     if ind03_4==   3290
replace naicps4=   334000     if ind03_4==   3360
replace naicps4=   334000     if ind03_4==   3370
replace naicps4=   334500     if ind03_4==   3380
replace naicps4=   334000     if ind03_4==   3390
replace naicps4=   335000     if ind03_4==   3470
replace naicps4=   335000     if ind03_4==   3490
replace naicps4=   336000     if ind03_4==   3570
replace naicps4=   336400     if ind03_4==   3580
replace naicps4=   336400     if ind03_4==   3590
replace naicps4=   336500     if ind03_4==   3670
replace naicps4=   336600     if ind03_4==   3680
replace naicps4=   336000     if ind03_4==   3690
replace naicps4=   321000     if ind03_4==   3770
replace naicps4=   321000     if ind03_4==   3780
replace naicps4=   321000     if ind03_4==   3790
replace naicps4=   321000     if ind03_4==   3870
replace naicps4=   337000     if ind03_4==   3890
replace naicps4=   339000     if ind03_4==   3960
replace naicps4=   339900     if ind03_4==   3970
replace naicps4=   339900     if ind03_4==   3980
replace naicps4=   311000     if ind03_4==   1070
replace naicps4=   311300     if ind03_4==   1080
replace naicps4=   311400     if ind03_4==   1090
replace naicps4=   311500     if ind03_4==   1170
replace naicps4=   311600     if ind03_4==   1180
replace naicps4=   311800     if ind03_4==   1190
replace naicps4=   311800     if ind03_4==   1270
replace naicps4=   311000     if ind03_4==   1280
replace naicps4=   311000     if ind03_4==   1290
replace naicps4=   312100     if ind03_4==   1370
replace naicps4=   312200     if ind03_4==   1390
replace naicps4=   313000     if ind03_4==   1470
replace naicps4=   313000     if ind03_4==   1480
replace naicps4=   313000     if ind03_4==   1490
replace naicps4=   314000     if ind03_4==   1570
replace naicps4=   314000     if ind03_4==   1590
replace naicps4=   314000     if ind03_4==   1670
replace naicps4=   315000     if ind03_4==   1680
replace naicps4=   315000     if ind03_4==   1690
replace naicps4=   316200     if ind03_4==   1770
replace naicps4=   316000     if ind03_4==   1790
replace naicps4=   322100     if ind03_4==   1870
replace naicps4=   322200     if ind03_4==   1880
replace naicps4=   322200     if ind03_4==   1890
replace naicps4=   323100     if ind03_4==   1990
replace naicps4=   324100     if ind03_4==   2070
replace naicps4=   324100     if ind03_4==   2090
replace naicps4=   325200     if ind03_4==   2170
replace naicps4=   325300     if ind03_4==   2180
replace naicps4=   325400     if ind03_4==   2190
replace naicps4=   325500     if ind03_4==   2270
replace naicps4=   325600     if ind03_4==   2280
replace naicps4=   325000     if ind03_4==   2290
replace naicps4=   326100     if ind03_4==   2370
replace naicps4=   326200     if ind03_4==   2380
replace naicps4=   326200     if ind03_4==   2390
replace naicps4=   423100     if ind03_4==   4070
replace naicps4=   423000     if ind03_4==   4080
replace naicps4=   423300     if ind03_4==   4090
replace naicps4=   423400     if ind03_4==   4170
replace naicps4=   423500     if ind03_4==   4180
replace naicps4=   423600     if ind03_4==   4190
replace naicps4=   423700     if ind03_4==   4260
replace naicps4=   423800     if ind03_4==   4270
replace naicps4=   423900     if ind03_4==   4280
replace naicps4=   423900     if ind03_4==   4290
replace naicps4=   424100     if ind03_4==   4370
replace naicps4=   424000     if ind03_4==   4380
replace naicps4=   424300     if ind03_4==   4390
replace naicps4=   424400     if ind03_4==   4470
replace naicps4=   424500     if ind03_4==   4480
replace naicps4=   424700     if ind03_4==   4490
replace naicps4=   424800     if ind03_4==   4560
replace naicps4=   424900     if ind03_4==   4570
replace naicps4=   424900     if ind03_4==   4580
replace naicps4=   420000     if ind03_4==   4590
replace naicps4=   441000     if ind03_4==   4670
replace naicps4=   441000     if ind03_4==   4680
replace naicps4=   441000     if ind03_4==   4690
replace naicps4=   442000     if ind03_4==   4770
replace naicps4=   443000     if ind03_4==   4780
replace naicps4=   443000     if ind03_4==   4790
replace naicps4=   444100     if ind03_4==   4870
replace naicps4=   444100     if ind03_4==   4880
replace naicps4=   444200     if ind03_4==   4890
replace naicps4=   445100     if ind03_4==   4970
replace naicps4=   445200     if ind03_4==   4980
replace naicps4=   445300     if ind03_4==   4990
replace naicps4=   446000     if ind03_4==   5070
replace naicps4=   446000     if ind03_4==   5080
replace naicps4=   447000     if ind03_4==   5090
replace naicps4=   448000     if ind03_4==   5170
replace naicps4=   448200     if ind03_4==   5180
replace naicps4=   448300     if ind03_4==   5190
replace naicps4=   451100     if ind03_4==   5270
replace naicps4=   451100     if ind03_4==   5280
replace naicps4=   451000     if ind03_4==   5290
replace naicps4=   451200     if ind03_4==   5370
replace naicps4=   452100     if ind03_4==   5380
replace naicps4=   452900     if ind03_4==   5390
replace naicps4=   453100     if ind03_4==   5470
replace naicps4=   453200     if ind03_4==   5480
replace naicps4=   453000     if ind03_4==   5490
replace naicps4=   453200     if ind03_4==   5570
replace naicps4=   453900     if ind03_4==   5580
replace naicps4=   454100     if ind03_4==   5590
replace naicps4=   454100     if ind03_4==   5591
replace naicps4=   454100     if ind03_4==   5592
replace naicps4=   454200     if ind03_4==   5670
replace naicps4=   454300     if ind03_4==   5680
replace naicps4=   454300     if ind03_4==   5690
replace naicps4=   481000     if ind03_4==   6070
replace naicps4=   484120     if ind03_4==   6170
replace naicps4=   491000     if ind03_4==   6370
replace naicps4=   221100     if ind03_4==    570
replace naicps4=   221200     if ind03_4==    580
replace naicps4=   221100     if ind03_4==    590
replace naicps4=   511100     if ind03_4==   6470
replace naicps4=   511100     if ind03_4==   6480
replace naicps4=   515000     if ind03_4==   6670
replace naicps4=   517100     if ind03_4==   6680
replace naicps4=   517200     if ind03_4==   6690
replace naicps4=   522110     if ind03_4==   6870
replace naicps4=   532120     if ind03_4==   7080
replace naicps4=   532230     if ind03_4==   7170
replace naicps4=   541213     if ind03_4==   7280
replace naicps4=   541310     if ind03_4==   7290
replace naicps4=   541810     if ind03_4==   7470
replace naicps4=   561510     if ind03_4==   7670
replace naicps4=   561720     if ind03_4==   7690
replace naicps4=   621500     if ind03_4==   8180
replace naicps4=   722000     if ind03_4==   8680
replace naicps4=   722000     if ind03_4==   8690
replace naicps4=   811100     if ind03_4==   8770
replace naicps4=   811100     if ind03_4==   8780
replace naicps4=   812110     if ind03_4==   8970
replace naicps4=   812110     if ind03_4==   8980
replace naicps4=   812300     if ind03_4==   9070
replace naicps4=   812210     if ind03_4==   9080

* recode 3-digit industries
replace naicps3=    211000     if ind03_4==    370
replace naicps3=    212000     if ind03_4==    380
replace naicps3=    212000     if ind03_4==    390
replace naicps3=    212000     if ind03_4==    470
replace naicps3=    327000     if ind03_4==   2470
replace naicps3=    327000     if ind03_4==   2480
replace naicps3=    327000     if ind03_4==   2490
replace naicps3=    327000     if ind03_4==   2570
replace naicps3=    327000     if ind03_4==   2590
replace naicps3=    331000     if ind03_4==   2670
replace naicps3=    331000     if ind03_4==   2680
replace naicps3=    331000     if ind03_4==   2690
replace naicps3=    331000     if ind03_4==   2770
replace naicps3=    332000     if ind03_4==   2780
replace naicps3=    332000     if ind03_4==   2790
replace naicps3=    332000     if ind03_4==   2870
replace naicps3=    332000     if ind03_4==   2880
replace naicps3=    332000     if ind03_4==   2890
replace naicps3=    332000     if ind03_4==   2970
replace naicps3=    332000     if ind03_4==   2980
replace naicps3=    331000     if ind03_4==   2990
replace naicps3=    333000     if ind03_4==   3070
replace naicps3=    333000     if ind03_4==   3090
replace naicps3=    333000     if ind03_4==   3170
replace naicps3=    333000     if ind03_4==   3180
replace naicps3=    333000     if ind03_4==   3190
replace naicps3=    333000     if ind03_4==   3290
replace naicps3=    334000     if ind03_4==   3360
replace naicps3=    334000     if ind03_4==   3370
replace naicps3=    334000     if ind03_4==   3380
replace naicps3=    334000     if ind03_4==   3390
replace naicps3=    335000     if ind03_4==   3470
replace naicps3=    335000     if ind03_4==   3490
replace naicps3=    336000     if ind03_4==   3570
replace naicps3=    336000     if ind03_4==   3580
replace naicps3=    336000     if ind03_4==   3590
replace naicps3=    336000     if ind03_4==   3670
replace naicps3=    336000     if ind03_4==   3680
replace naicps3=    336000     if ind03_4==   3690
replace naicps3=    321000     if ind03_4==   3770
replace naicps3=    321000     if ind03_4==   3780
replace naicps3=    321000     if ind03_4==   3790
replace naicps3=    321000     if ind03_4==   3870
replace naicps3=    337000     if ind03_4==   3890
replace naicps3=    339000     if ind03_4==   3960
replace naicps3=    339000     if ind03_4==   3970
replace naicps3=    339000     if ind03_4==   3980
replace naicps3=    311000     if ind03_4==   1070
replace naicps3=    311000     if ind03_4==   1080
replace naicps3=    311000     if ind03_4==   1090
replace naicps3=    311000     if ind03_4==   1170
replace naicps3=    311000     if ind03_4==   1180
replace naicps3=    311000     if ind03_4==   1190
replace naicps3=    311000     if ind03_4==   1270
replace naicps3=    311000     if ind03_4==   1280
replace naicps3=    311000     if ind03_4==   1290
replace naicps3=    312000     if ind03_4==   1370
replace naicps3=    312000     if ind03_4==   1390
replace naicps3=    313000     if ind03_4==   1470
replace naicps3=    313000     if ind03_4==   1480
replace naicps3=    313000     if ind03_4==   1490
replace naicps3=    314000     if ind03_4==   1570
replace naicps3=    314000     if ind03_4==   1590
replace naicps3=    314000     if ind03_4==   1670
replace naicps3=    315000     if ind03_4==   1680
replace naicps3=    315000     if ind03_4==   1690
replace naicps3=    316000     if ind03_4==   1770
replace naicps3=    316000     if ind03_4==   1790
replace naicps3=    322000     if ind03_4==   1870
replace naicps3=    322000     if ind03_4==   1880
replace naicps3=    322000     if ind03_4==   1890
replace naicps3=    323000     if ind03_4==   1990
replace naicps3=    324000     if ind03_4==   2070
replace naicps3=    324000     if ind03_4==   2090
replace naicps3=    325000     if ind03_4==   2170
replace naicps3=    325000     if ind03_4==   2180
replace naicps3=    325000     if ind03_4==   2190
replace naicps3=    325000     if ind03_4==   2270
replace naicps3=    325000     if ind03_4==   2280
replace naicps3=    325000     if ind03_4==   2290
replace naicps3=    326000     if ind03_4==   2370
replace naicps3=    326000     if ind03_4==   2380
replace naicps3=    326000     if ind03_4==   2390
replace naicps3=    423000     if ind03_4==   4070
replace naicps3=    423000     if ind03_4==   4080
replace naicps3=    423000     if ind03_4==   4090
replace naicps3=    423000     if ind03_4==   4170
replace naicps3=    423000     if ind03_4==   4180
replace naicps3=    423000     if ind03_4==   4190
replace naicps3=    423000     if ind03_4==   4260
replace naicps3=    423000     if ind03_4==   4270
replace naicps3=    423000     if ind03_4==   4280
replace naicps3=    423000     if ind03_4==   4290
replace naicps3=    424000     if ind03_4==   4370
replace naicps3=    424000     if ind03_4==   4380
replace naicps3=    424000     if ind03_4==   4390
replace naicps3=    424000     if ind03_4==   4470
replace naicps3=    424000     if ind03_4==   4480
replace naicps3=    424000     if ind03_4==   4490
replace naicps3=    424000     if ind03_4==   4560
replace naicps3=    424000     if ind03_4==   4570
replace naicps3=    424000     if ind03_4==   4580
replace naicps3=    420000     if ind03_4==   4590
replace naicps3=    441000     if ind03_4==   4670
replace naicps3=    441000     if ind03_4==   4680
replace naicps3=    441000     if ind03_4==   4690
replace naicps3=    442000     if ind03_4==   4770
replace naicps3=    443000     if ind03_4==   4780
replace naicps3=    443000     if ind03_4==   4790
replace naicps3=    444000     if ind03_4==   4870
replace naicps3=    444000     if ind03_4==   4880
replace naicps3=    444000     if ind03_4==   4890
replace naicps3=    445000     if ind03_4==   4970
replace naicps3=    445000     if ind03_4==   4980
replace naicps3=    445000     if ind03_4==   4990
replace naicps3=    446000     if ind03_4==   5070
replace naicps3=    446000     if ind03_4==   5080
replace naicps3=    447000     if ind03_4==   5090
replace naicps3=    448000     if ind03_4==   5170
replace naicps3=    448000     if ind03_4==   5180
replace naicps3=    448000     if ind03_4==   5190
replace naicps3=    451000     if ind03_4==   5270
replace naicps3=    451000     if ind03_4==   5280
replace naicps3=    451000     if ind03_4==   5290
replace naicps3=    451000     if ind03_4==   5370
replace naicps3=    452000     if ind03_4==   5380
replace naicps3=    452000     if ind03_4==   5390
replace naicps3=    453000     if ind03_4==   5470
replace naicps3=    453000     if ind03_4==   5480
replace naicps3=    453000     if ind03_4==   5490
replace naicps3=    453000     if ind03_4==   5570
replace naicps3=    453000     if ind03_4==   5580
replace naicps3=    454000     if ind03_4==   5590
replace naicps3=    454000     if ind03_4==   5591
replace naicps3=    454000     if ind03_4==   5592
replace naicps3=    454000     if ind03_4==   5670
replace naicps3=    454000     if ind03_4==   5680
replace naicps3=    454000     if ind03_4==   5690
replace naicps3=    481000     if ind03_4==   6070
replace naicps3=    484120     if ind03_4==   6170
replace naicps3=    491000     if ind03_4==   6370
replace naicps3=    221100     if ind03_4==    570
replace naicps3=    221200     if ind03_4==    580
replace naicps3=    221100     if ind03_4==    590
replace naicps3=    511000     if ind03_4==   6470
replace naicps3=    511000     if ind03_4==   6480
replace naicps3=    515000     if ind03_4==   6670
replace naicps3=    532230     if ind03_4==   7170
replace naicps3=    621500     if ind03_4==   8180
replace naicps3=    722000     if ind03_4==   8680
replace naicps3=    722000     if ind03_4==   8690
}

saveold "`outputfilepath'/naicps_`YYMM'", replace

}
}
}
