* This file prepares the merge of the data
* MS 9/2006, revised TvR 10/2006

version 7.0
set mem 50m
set more off

cap log close
log using prep_merge_cepr, text replace

local dat_path "../data_raw_cepr/"
local sav_path "../data_raw_cepr/"

* * *******************************************************************************************************************
foreach yyyy of numlist 1979/2005 {
*foreach yyyy of numlist 2004/2005 {

use year month minsamp hhid hhnum lineno fnlwgt orgwgt age female wbho wbhom *educ* /*
            */ married refper state lfstat selfemp selfinc hrmgfail unmem uncov ind_nber docc70 docc80 docc03 /*
            */ w_nber earn* rw w_no_no w_ln_no w_ln_ot /*
            */ blsimpt blsimph blsimpw otmgfail pubsect uhours uhourse hrmgfail hrsvary prhrusl pehrusl1 peernhro hrernhr paidhre /*
            */ hrsimptd uhoursi union unmem  uncov ind_nber ind_2d ind70 ind80 ind03 occ70 occ80 occ03 manag83 manag03 /*
            */ uearnwk earnwke earnwke   wkotc ot /*
            */ using "`dat_path'cepr_org_`yyyy'.dta", clear
            
renvars, suffix(_cepr)
ren minsamp_cepr mis
ren state_cepr  state
ren hhid_cepr   hhid
ren hhnum_cepr  hhnum
ren lineno_cepr lineno

preserve
forvalues j=1/12 {

drop if month_cepr~=`j'

global numobs_`i'=r(N)
sort mis state hhid hhnum lineno 

local yy = substr(string(`yyyy'),3,2)

compress

if `j' <=9 {
save "`sav_path'cepr_small_`yy'0`j'", replace
}
else {
save "`sav_path'cepr_small_`yy'`j'", replace
}
restore, preserve

}

restore, not

}
