* This file prepares the merge of the data
* MS 9/2006, revised TvR 10/2006

version 7.0
set mem 50m
set more off

cap log close
log using prep_mergecps, text replace

local dat_path "../data_raw_dta"
local sav_path "../data_raw_dta"

foreach i of numlist 7810/7812 7901/7912 8001/8012 8101/8112 8201/8212 8301/8312 8401/8412 8501/8512 /*
                  */ 8601/8612 8701/8712 8801/8812 8901/8912 9001/9012 9101/9112 9201/9212 9301/9312 /*
                  */ 9401/9412 9501/9512 9601/9612 9701/9712 9801/9812 9901/9912 {

use "`dat_path'/bmd_`i'", clear

* 1979-1988
if `i'<=8812 {
ren hrmis mis
ren peage age
ren hrhhid hhid
ren huhhnum hhnum
ren pulineno lineno
ren pesex sex
ren gestcen state
}

* 1982 - 1988
if `i'>=8201 & `i'<=8812 {
* 347 relationship to reference person
replace rrp82_h="0" if rrp82_h=="A"
destring rrp82_h, gen(rrp82) ignore("-")
drop rrp82_h
}

* 1989-1993
if `i'>=8901 & `i'<=9312 {
ren h_mis mis
ren a_age age
ren h_id hhid
ren h_hhnum hhnum
ren a_lineno lineno
ren a_sex sex
ren a_race race82
ren a_rrp rrp89
ren hg_st60 state
}

* 1994-1995
if `i'>=9401 & `i'<=9512 {
ren peage age
ren perace race82
}

* 1994_01 - 199508
if `i'>=9401 & `i'<=9508 {
ren perrp rrp94
}

* 1995_09 - 1995_12
if `i'>=9509 & `i'<=9512 {
ren proldrrp rrp94
ren perrp rrp95
}

* 1996-2002
if `i'>=9601 & `i'<=9912 {
ren perace race96
ren proldrrp rrp94
ren perrp rrp95
}

* 1996-1997
if `i'>=9601 & `i'<=9712 {
ren peage age
}

* 1994-2006
if `i'>=9401 & `i'<=9912 {
ren hrmis mis
ren hrhhid hhid
ren huhhnum hhnum
ren pulineno lineno
ren pesex sex
ren gestcen state
}

* 1998-2002
if `i'>=9801 & `i'<=9912 {
ren prtage age
}

* missing observations for variables used in the match:
replace hhnum = -1 if hhnum==.
replace lineno = -1 if lineno==.
sort mis state hhid hhnum lineno
disp ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
drop if mis<1 | mis>8 | mis==.
drop if state<=0 | state==.
drop if hhid==""
drop if hhnum<=0 & mis==mis[_n+1] & state==state[_n+1] & hhid==hhid[_n+1]
drop if lineno<=0 & mis==mis[_n+1] & state==state[_n+1] & hhid==hhid[_n+1] & hhnum==hhnum[_n+1]
disp "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"

* missing observations for variables used to evaluate the match:
replace age=. if age<=0 | age>99
replace sex=. if sex~=1 & sex~=2

compress
save "`sav_path'/d_`i'", replace
}

******************************************************************************************************

foreach i in "0001" "0002" "0003" "0004" "0005" "0006" "0007" "0008" "0009" "0010" "0011" "0012" {

use "`dat_path'/bmd_`i'", clear

* all periods
ren gestcen state

* 1996-2002
ren perace race96

* 1994-2006
ren hrmis mis
ren hrhhid hhid
ren huhhnum hhnum
ren pulineno lineno
ren pesex sex
ren proldrrp rrp94
ren perrp rrp95

* 1998-2002
ren prtage age

* missing observations for variables used in the match:
replace hhnum = -1 if hhnum==.
replace lineno = -1 if lineno==.
sort mis state hhid hhnum lineno
disp ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
drop if mis<1 | mis>8 | mis==.
drop if state<=0 | state==.
drop if hhid==""
drop if hhnum<=0 & mis==mis[_n+1] & state==state[_n+1] & hhid==hhid[_n+1]
drop if lineno<=0 & mis==mis[_n+1] & state==state[_n+1] & hhid==hhid[_n+1] & hhnum==hhnum[_n+1]
disp "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"

* missing observations for variables used to evaluate the match:
replace age=. if age<=0 | age>99
replace sex=. if sex~=1 & sex~=2
replace race=. if race<=0 | race==.

compress
save "`sav_path'/d_`i'", replace
}

*****************************************************************************************************

foreach i of numlist  101/112 201/212 301/312 401/412 501/512 601/607 {

use "`dat_path'/bmd_0`i'", clear

* all periods
ren gestcen state

* 1996-2002
if `i'>=101 & `i'<=212 {
ren perace race96
* 1998-2002
ren prtage age
}

if `i'>=301 & `i'<=612 {
* 2003-2006
ren peage age
}

* 1994-2006
ren hrmis mis
ren hrhhid hhid
ren huhhnum hhnum
ren pulineno lineno
ren pesex sex
ren proldrrp rrp94
ren perrp rrp95

* missing observations for variables used in the match:
replace hhnum = -1 if hhnum==.
replace lineno = -1 if lineno==.
sort mis state hhid hhnum lineno
disp ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
drop if mis<1 | mis>8 | mis==.
drop if state<=0 | state==.
drop if hhid==""
drop if hhnum<=0 & mis==mis[_n+1] & state==state[_n+1] & hhid==hhid[_n+1]
drop if lineno<=0 & mis==mis[_n+1] & state==state[_n+1] & hhid==hhid[_n+1] & hhnum==hhnum[_n+1]
disp "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"

* missing observations for variables used to evaluate the match:
replace age=. if age<=0 | age>99
replace sex=. if sex~=1 & sex~=2
cap replace race=. if race<=0 | race==.
cap replace prdtrace=. if prdtrace<=0
cap replace rac96=. if rac96<=0

compress
save "`sav_path'/d_0`i'", replace
}

* *****************************************************************************************************
