* Reads in CPS basic monthly datafiles and saves them in Stata format
* MS 9/2006, revised TvR 10/2006

version 7.0
set mem 250m

set more off
capture log close
log using read_in_data, text replace

local dat_path "../data_raw_cpsb"       /* where raw data is saved */
local dct_path "../dictionaries"         /* where data dictionaries are saved */
local sav_path "../data_raw_dta"     /* where data set is to be saved */


foreach i of numlist 7810/7812 7901/7912 8001/8012 8101/8112 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb78jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 8201/8212 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb82jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 8301/8312 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb83jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 8401/8412 8501/8506 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb84jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 8507/8512 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb85jul.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 8601/8612 8701/8712 8801/8812 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb86jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 8901/8912 9001/9012 9101/9112 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb89jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 9201/9212 9301/9312  {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb92jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i  of numlist 9401/9412 9501/9508 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb94jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 9509/9512 9601/9612 9701/9712 {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb95sep.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i of numlist 9801/9812 9901/9912  {
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb98jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}

foreach i in "0001" "0002" "0003" "0004" "0005" "0006" "0007" "0008" "0009" "0010" "0011" "0012" /*
             */ "0101" "0102" "0103" "0104" "0105" "0106" "0107" "0108" "0109" "0110" "0111" "0112" /*
             */ "0201" "0202" "0203" "0204" "0205" "0206" "0207" "0208" "0209" "0210" "0211" "0212" {  
!ren "`dat_path'/cpsb`i'" "`dat_path'/cpsb`i'.raw"
quietly infile using "`dct_path'/cpsb98jan.dct", using("`dat_path'/cpsb`i'") clear
compress
save "`sav_path'/bmd_`i'", replace
}




local dat_path "../data_raw_cpsb"       /* where raw data is saved */
local dct_path "../dictionaries"         /* where data dictionaries are saved */
local sav_path "../data_raw_dta"     /* where data set is to be saved */


foreach i of numlist 301/312 401/404 {
!ren "`dat_path'/cpsb0`i'" "`dat_path'/cpsb0`i'.raw"
quietly infile using "`dct_path'/cpsb03jan.dct", using("`dat_path'/cpsb0`i'") clear
compress
save "`sav_path'/bmd_0`i'", replace
}

foreach i of numlist 405/412  501/512  601/607 {
!ren "`dat_path'/cpsb0`i'" "`dat_path'/cpsb0`i'.raw"
quietly infile using "`dct_path'/cpsb04may.dct", using("`dat_path'/cpsb0`i'") clear
compress
save "`sav_path'/bmd_0`i'", replace
}
